package com.lantone.qc.kernel.catalogue.behospitalized;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.util.StringUtil;
import org.springframework.stereotype.Component;

import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * @author wangfeng
 * @Description:缺重要脏器疾病史
 * @date 2020-06-29 15:46
 */
@Component
public class BEH03005 extends QCCatalogue {
    @Override
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        status.set("0");
        if (inputInfo.getBeHospitalizedDoc() == null) {
            return;
        }
        Map<String, String> structureMap = inputInfo.getBeHospitalizedDoc().getStructureMap();
        if (structureMap != null) {
            String[] strs = {"高血压","心脏病","糖尿病","脑血管疾病","呼吸系统疾病","肾脏疾病","肝脏疾病"};
            for(String s :strs){
                String s1 = structureMap.get(s).trim();
                if(s1!=null&&StringUtil.isEmpty(s1)){
                    status.set("-1");
                }
            }

        }

    }
}
